package com.ruoyi.ibs.grid.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ibs.grid.domain.entity.IbsAnchorAddress;
import com.ruoyi.ibs.grid.domain.excel.NewPersonAnchor;
import com.ruoyi.ibs.grid.domain.excel.NewQyAnchor;
import com.ruoyi.ibs.grid.domain.vo.*;

import java.util.List;

public interface AnchorService {
    List<AnchorVo> selectAnchorList(String userid, String custType,String anchorName,String street,String community,String source,String custStatus,String custAddressStatus,String status);

    List<AuditVo> selectAuditList(String userid, String custType,String custStatus,String custAddressStatus);

    List<IgnoreVo> selectIgnoreList(String userid, String custType,String custStatus,String custAddressStatus);

    AjaxResult delIgnore(int[] ids);

    AjaxResult delAnchor(int[] ids);

    AjaxResult anchorDetai(String anchorid);

    AnchorDetail anchorDetai1(String anchorid);

    AjaxResult reAudit(int[] ids);

    AjaxResult setIgnore(int[] ids);

    AjaxResult updateAnchor(AnchorDetail anchorDetail, String userid);

    AjaxResult insertNewAnchor(List<NewAnchor> list);

    AjaxResult passAudit2(List<AuditVo> list);

    AjaxResult insertNewQyAnchor(List<NewQyAnchor> list, String userid);

    AjaxResult setIgnoreUp(List<AuditVo> list);

    AjaxResult refresh(String userid,String custType);

    AjaxResult insertNewGrAnchor(List<NewPersonAnchor> list);

    AjaxResult selectAddress(long id);

    String getCust(long id);

    int update(AnchorDetail anchorDetail);
//    AjaxResult insertList(List<IbsAnchor> list,String userid);
}
